%def_without arts
%def_without alsa
%def_with aa
%def_without qmax
%def_with retex
%def_without asm

%if_with asm
%set_verify_elf_method textrel=relaxed
%endif

Name: quake2
Version: r0.16.1
Release: alt0.1

Summary: Quake II from ID Software, icculus version
License: GPL
Group: Games/Arcade
Url: http://icculus.org/quake2/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: quake2
Source2: q2ded
Source3: sdlquake2

Patch0: quake2-vid_so.patch
Patch1: quake2-r0.16.1-link-fixes.patch
Patch2: quake2-r0.16.1-alt-optional-asm.patch
Patch3: quake2-r0.16.1-alt-use-cflags.patch

BuildPreReq: aalib-devel libmesa-devel libSDL-devel libXxf86dga-devel libXxf86vm-devel linux-libc-headers

%description
Quake II, sources from icculus.org.

%prep
#%%define _optlevel 6
#%%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1

%build
%make_build \
	CFLAGS="%optflags" \
	BUILD_DEDICATED=YES \
%if_with arts
	BUILD_ARTS=YES \
%endif
%if_with arts
	BUILD_ALSA=YES \
%endif
%if_with aa
	BUILD_AA=YES \
%endif
%if_with qmax
	BUILD_QMAX=YES \
%endif
%if_with retex
	BUILD_RETEXTURE=YES \
%endif
%if_with asm
	BUILD_ASM=YES \
%endif
	build_release

%install
mkdir -p %buildroot%_libdir/games/quake2/baseq2
mkdir -p %buildroot%_libdir/games/quake2/ctf
mkdir -p %buildroot%prefix/games
cd releasei386
strip --remove-section .comment quake2 *.so
install -m 755 quake2 %buildroot%_libdir/games/quake2/quake2.x86
install -m 755 sdlquake2 %buildroot%_libdir/games/quake2/sdlquake2.x86
install -m 755 q2ded %buildroot%_libdir/games/quake2/q2ded.x86
install -m 755 %SOURCE1 %buildroot%_gamesbindir
install -m 755 %SOURCE2 %buildroot%_gamesbindir
install -m 755 %SOURCE3 %buildroot%_gamesbindir
install -m 755 ctf/gamei386.so %buildroot%_libdir/games/quake2/ctf
install -m 755 gamei386.so %buildroot%_libdir/games/quake2/baseq2
install -m 755 ref_*.so %buildroot%_libdir/games/quake2

%files
%_gamesbindir/*
%_libdir/games/quake2
%doc README TODO *.txt src/docs/

%changelog
* Thu Oct 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> r0.16.1-alt0.1
- take SRPM from ALT Linux 2.2 Master
- r0.16.1
- spec cleanup
- disable asm
- disable additional optimisation flags

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> r0.14.1-alt1.1
- rebuild with new XFree86
- added automatic buildreq

* Fri Sep 06 2002 Kachalov Anton <mouse@altlinux.ru> r0.14.1-alt1
- update to version r0.14

* Fri Jun 14 2002 Kachalov Anton <mouse@altlinux.ru>
- update to version r0.12
- the video modes are auto-detected
- joysticks now work in GLX mode.

* Thu May 16 2002 Kachalov Anton <mouse@altlinux.ru>
- update to version r0.11
- added dedicated server

* Fri Apr 05 2002 Kachalov Anton <mouse@altlinux.ru>
- update to version r0.10
- group changed to Games/Arcade

* Wed Jan 09 2002 Kachalov Anton <mouse@altlinux.ru>
- update to version r0.0.8
- added CTF

* Tue Dec 25 2001 Kachalov Anton <mouse@altlinux.ru>
- build for Sisyphus
